import { CbmSalePriceModel } from '@g2-common/sale-price-repository';
export declare namespace CbmSalesOrderModel {
    type DetailType = 'item' | 'service' | 'kit' | 'outsourcing_service';
    interface ListParams {
        page: number;
        size: number;
        date_begin?: number;
        date_end?: number;
        document_number?: string;
        client_id?: string;
        client_branch_id?: string;
        seller_id?: string;
        enabled?: boolean;
        state_order?: string;
        balance_amount?: boolean;
    }
    interface ListResponse {
        success: boolean;
        pageNum: number;
        pageSize: number;
        pages: number;
        total: number;
        items: ListResponse.Item[];
    }
    namespace ListResponse {
        interface Item {
            event_module_origin?: string;
            collection_origin_name?: string;
            collection_origin_id?: string;
            document_origin_name?: string;
            document_origin_number?: string;
            document_origin_date?: number;
            number_of_order_split?: number;
            split_order_amount?: number;
            union_of_order_amount?: number;
            _id: string;
            company_id?: string;
            client_id?: string;
            contact_id?: string;
            seller_id?: string;
            document_date?: number;
            state?: string;
            expired_at?: number;
            document_nomenclature?: string;
            document_number?: string;
            tax_base?: number;
            discount?: number;
            service?: number;
            total?: number;
            comentary?: string;
            client_category_id?: string;
            client_document_number: string;
            client_document_code: string;
            client_trade_name: string;
            client_business_name: string;
            client_phone_code: string;
            client_address: string;
            client_cellphone: string;
            client_email: string;
            client_category_name: string;
            client_province_id?: string;
            client_canton_id?: string;
            client_parish_id?: string;
            client_province_code?: string;
            client_province_name?: string;
            client_canton_code?: string;
            client_canton_name?: string;
            client_parish_code?: string;
            client_parish_name?: string;
            seller_full_name?: string;
            seller_document_number?: string;
            seller_address?: string;
            seller_email?: string[];
            seller_cellphone?: string;
            company_NIF?: string;
            company_address?: string;
            company_trade_name?: string;
            company_business_name?: string;
            client_branch_id?: string;
            client_branch_code?: string;
            client_branch_name?: string;
            client_branch_address?: string;
            client_branch_email?: string;
            client_branch_cellphone?: string;
            client_branch_phone?: string;
            client_branch_phone_code?: string;
            contact_identification_number?: string;
            contact_full_name?: string;
            contact_phone_code?: string;
            contact_cellphone?: string;
            contact_email?: string;
            default_price_list_id?: string;
            default_price_list_name?: string;
            default_price_list_type?: string;
            default_cost_center_code?: string;
            default_cost_center_name?: string;
            default_cost_center_father_code?: string;
            default_cost_center_father_name?: string;
            default_cost_center_id?: string;
            default_discount_rate?: number;
            enabled?: boolean;
            state_invoice?: boolean;
            state_unify_orders?: boolean;
            state_split_orders?: boolean;
            disabled_reason?: string;
            user_inactive_at?: number;
            user_inactive_id?: string;
            user_inactive_name?: string;
            created_at?: number;
            created_user?: string;
            updated_at?: number;
            updated_user?: string;
            tax_base_iva?: number;
            tax_base_iva_rate_0?: number;
            tax_base_iva_exempt?: number;
            tax_base_iva_not_subject?: number;
            tax_base_irbpnr?: number;
            tax_base_ice?: number;
            tax_iva?: number;
            tax_irbpnr?: number;
            tax_ice?: number;
            state_order?: string;
            union_of_order_id?: string;
            union_of_order_document_nomenclature?: string;
            union_of_order_document_number?: string;
            union_of_order_date?: number;
            split_order_id?: string;
            split_order_document_nomenclature?: string;
            split_order_document_number?: string;
            split_order_date?: number;
            attached_order?: Item.AttacherOrder[];
        }
        namespace Item {
            interface AttacherOrder {
                _id: string;
                order_id: string;
                sequence_order: string;
                date_order: number;
                total_order: number;
            }
        }
    }
    interface GetOneResponse {
        success: boolean;
        data: GetOneResponse.Data;
    }
    namespace GetOneResponse {
        interface Data {
            event_module_origin?: string;
            collection_origin_name?: string;
            collection_origin_id?: string;
            document_origin_name?: string;
            document_origin_number?: string;
            document_origin_date?: number;
            _id: string;
            company_id?: string;
            client_id?: string;
            client_branch_id?: string;
            contact_id?: string;
            seller_id?: string;
            document_date?: number;
            state?: string;
            expired_at?: number;
            document_nomenclature?: string;
            document_number?: string;
            tax_base?: number;
            discount?: number;
            service?: number;
            tax_base_iva?: number;
            tax_base_iva_rate_0?: number;
            tax_base_iva_exempt?: number;
            tax_base_iva_not_subject?: number;
            tax_base_irbpnr?: number;
            tax_base_ice?: number;
            tax_iva?: number;
            tax_irbpnr?: number;
            tax_ice?: number;
            total?: number;
            commentary?: string;
            client_document_number: string;
            client_document_code: string;
            client_trade_name: string;
            client_business_name: string;
            client_phone_code: string;
            client_address: string;
            client_cellphone: string;
            client_email: string;
            client_category_id?: string;
            client_category_name: string;
            client_branch_code?: string;
            client_branch_name?: string;
            client_branch_address?: string;
            client_branch_email?: string;
            client_branch_cellphone?: string;
            client_branch_phone?: string;
            client_branch_phone_code?: string;
            client_province_id?: string;
            client_canton_id?: string;
            client_parish_id?: string;
            client_province_code?: string;
            client_province_name?: string;
            client_canton_code?: string;
            client_canton_name?: string;
            client_parish_code?: string;
            client_parish_name?: string;
            contact_identification_number?: string;
            contact_full_name?: string;
            contact_phone_code?: string;
            contact_cellphone?: string;
            contact_email?: string;
            seller_full_name?: string;
            seller_identification_number?: string;
            seller_address?: string;
            seller_email?: string[];
            attached_order?: Data.AttacherOrder[];
            seller_cellphone?: string;
            company_NIF?: string;
            company_address?: string;
            company_trade_name?: string;
            company_business_name?: string;
            default_price_list_id?: string;
            default_price_list_type?: string;
            default_price_list_name?: string;
            default_cost_center_id?: string;
            default_cost_center_father_code?: string;
            default_cost_center_father_name?: string;
            default_cost_center_code?: string;
            default_cost_center_name?: string;
            default_discount_rate?: number;
            union_of_order_id?: string;
            union_of_order_document_nomenclature?: string;
            union_of_order_document_number?: string;
            union_of_order_date?: number;
            split_order_id?: string;
            split_order_document_nomenclature?: string;
            split_order_document_number?: string;
            split_order_date?: number;
            enabled?: boolean;
            state_invoice?: boolean;
            state_unify_orders?: boolean;
            state_split_orders?: boolean;
            disabled_reason?: string;
            user_inactive_at?: number;
            user_inactive_id?: string;
            user_inactive_name?: string;
            deleted?: boolean;
            created_at?: number;
            created_user?: string;
            updated_at?: number;
            updated_user?: string;
            state_order?: string;
            order_summary_article?: Data.SummaryArticle[];
            order_detail?: Data.Detail[];
            order_tax?: Data.Tax[];
            split_order?: Data.AttacherOrder[];
            number_of_order_split?: number;
            split_order_amount?: number;
        }
        namespace Data {
            interface AttacherOrder {
                _id: string;
                order_id: string;
                sequence_order: string;
                date_order: number;
                total_order: number;
            }
            interface SummaryArticle {
                _id: string;
                code: string;
                name: string;
                amount: number;
                sequence: string;
            }
            interface Detail {
                _id: string;
                balance_amount?: number;
                order_id?: string;
                item_id?: string;
                category_id?: string;
                cost_center_id?: string;
                price_list_id?: string;
                tax_iva_id?: string;
                unit_measure_id?: string;
                amount?: number;
                amount_free?: number;
                sequence?: string;
                price_base?: number;
                total_price?: number;
                discount_rate?: number;
                unit_discount?: number;
                total_discount?: number;
                replace_item_name?: string;
                commentary_item?: string;
                tax_iva_rate?: number;
                item_code?: string;
                item_barcode?: string;
                item_name?: string;
                unit_measure_name?: string;
                unit_measure_abbreviation?: string;
                unit_measure_group_abbreviation?: string;
                unit_measure_group_id?: string;
                unit_measure_group_name?: string;
                unit_measure_type?: string;
                unit_measure_quantity?: number;
                stock_afected?: number;
                in_stock?: number;
                manage_by?: string;
                category_name?: string;
                cost_center_code?: string;
                cost_center_name?: string;
                cost_center_father_code?: string;
                cost_center_father_name?: string;
                price_list_name?: string;
                type?: DetailType;
                price_type?: CbmSalePriceModel.TName;
                price_type_description?: string;
                price_type_id?: string;
                deleted?: boolean;
                created_at?: number;
                created_user?: string;
                updated_at?: number;
                updated_user?: string;
                order_detail_tax?: Detail.Tax[];
                tax_iva?: Detail.TaxIva;
                outsourcing_service_data?: Detail.OutsourcingServiceData;
            }
            namespace Detail {
                interface OutsourcingServiceData {
                    outsourcing_service_movements_id: string;
                    code_outsourcing_service: string;
                    name_outsourcing_service: string;
                    date_purchase_receipt: number;
                    structured_document_number: string;
                    provider_document_number: string;
                    provider_business_name: string;
                    cost: number;
                }
                interface Tax {
                    _id: string;
                    order_detail_id?: string;
                    description?: string;
                    type?: string;
                    tax_code?: string;
                    tax_rate?: number;
                    tax_base?: number;
                    tax_value?: number;
                }
                interface TaxIva {
                    _id: string;
                    country_id?: string;
                    code?: string;
                    percentage?: number;
                    description?: string;
                    enabled?: boolean;
                    created_user?: string;
                    created_at?: number;
                    updated_user?: string;
                    updated_at?: number;
                }
            }
            interface Tax {
                _id: string;
                order_id: string;
                description: string;
                type: string;
                tax_code: string;
                tax_rate: number;
                tax_base: number;
                tax_value: number;
                created_at: number;
                created_user: string;
                updated_at?: number;
                updated_user?: string;
            }
        }
    }
    interface SaveBody {
        order_id?: string;
        event_module_origin?: string;
        collection_origin_name?: string;
        collection_origin_id?: string;
        document_origin_name?: string;
        document_origin_number?: string;
        document_origin_date?: number;
        client_category_id: string;
        client_id: string;
        client_branch_id?: string;
        contact_id?: string;
        seller_id: string;
        document_date: number;
        expired_at: number;
        tax_base: number;
        discount: number;
        service?: number;
        commentary?: string;
        client_document_number: string;
        client_document_code: string;
        client_trade_name: string;
        client_business_name: string;
        client_phone_code: string;
        client_address: string;
        client_cellphone: string;
        client_email: string;
        client_category_name: string;
        client_branch_code?: string;
        client_branch_name?: string;
        client_branch_address?: string;
        client_branch_email?: string;
        client_branch_cellphone?: string;
        client_branch_phone?: string;
        client_branch_phone_code?: string;
        client_province_id?: string;
        client_canton_id?: string;
        client_parish_id?: string;
        client_province_code?: string;
        client_province_name?: string;
        client_canton_code?: string;
        client_canton_name?: string;
        client_parish_code?: string;
        client_parish_name?: string;
        contact_identification_number?: string;
        contact_full_name?: string;
        contact_phone_code?: string;
        contact_cellphone?: string;
        contact_email?: string;
        seller_full_name: string;
        seller_identification_number: string;
        seller_address: string;
        seller_email: string[];
        attached_order?: SaveBody.AttacherOrder[];
        seller_cellphone: string;
        company_NIF: string;
        company_address: string;
        company_trade_name: string;
        company_business_name: string;
        quotation_id?: string;
        default_price_list_id?: string;
        default_cost_center_id?: string;
        default_price_list_name?: string;
        default_price_list_type?: string;
        default_cost_center_code?: string;
        default_cost_center_name?: string;
        default_cost_center_father_code?: string;
        default_cost_center_father_name?: string;
        default_discount_rate?: number;
        tax_base_iva: number;
        tax_base_iva_rate_0: number;
        tax_base_iva_exempt: number;
        tax_base_iva_not_subject: number;
        tax_base_irbpnr: number;
        tax_base_ice: number;
        tax_iva: number;
        tax_irbpnr: number;
        tax_ice: number;
        total: number;
        union_of_order_id?: string;
        union_of_order_document_nomenclature?: string;
        union_of_order_document_number?: string;
        union_of_order_date?: number;
        split_order_id?: string;
        split_order_document_nomenclature?: string;
        split_order_document_number?: string;
        split_order_date?: number;
        order_summary_article?: SaveBody.SummaryArticle[];
        order_detail: SaveBody.Detail[];
        order_tax: SaveBody.Tax[];
    }
    namespace SaveBody {
        interface AttacherOrder {
            order_id?: string;
            sequence_order?: string;
            date_order?: number;
            total_order?: number;
        }
        interface SummaryArticle {
            code: string;
            name: string;
            amount: number;
            sequence: string;
        }
        interface Detail {
            item_id: string;
            category_id: string;
            cost_center_id?: string;
            price_list_id: string;
            tax_iva_id: string;
            tax_irbpn_id?: string;
            tax_ice_id?: string;
            unit_measure_id?: string;
            amount: number;
            amount_free?: number;
            sequence?: string;
            price_base: number;
            total_price: number;
            discount_rate: number;
            unit_discount: number;
            total_discount: number;
            commentary_item?: string | null;
            replace_item_name?: string | null;
            tax_iva_rate: number;
            item_code: string;
            item_barcode?: string;
            item_name: string;
            unit_measure_name?: string;
            unit_measure_abbreviation?: string;
            unit_measure_group_abbreviation?: string;
            unit_measure_group_id?: string;
            unit_measure_group_name?: string;
            unit_measure_type?: string;
            unit_measure_quantity?: number;
            stock_afected?: number;
            in_stock?: number;
            manage_by?: string;
            category_name: string;
            cost_center_code?: string;
            cost_center_name?: string;
            cost_center_father_code?: string;
            cost_center_father_name?: string;
            price_list_name: string;
            type: DetailType;
            price_type?: CbmSalePriceModel.TName;
            price_type_description?: string;
            price_type_id?: string;
            order_detail_tax: Detail.Tax[];
            outsourcing_service_data?: Detail.OutsourcingServiceData;
        }
        namespace Detail {
            interface OutsourcingServiceData {
                outsourcing_service_movements_id: string;
                code_outsourcing_service: string;
                name_outsourcing_service: string;
                date_purchase_receipt: number;
                structured_document_number: string;
                provider_document_number: string;
                provider_business_name: string;
                cost: number;
            }
            interface Tax {
                type: string;
                description: string;
                tax_code: string;
                tax_rate: number;
                tax_base: number;
                tax_value: number;
            }
        }
        interface Tax {
            type: string;
            description: string;
            tax_code: string;
            tax_rate: number;
            tax_base: number;
            tax_value: number;
        }
    }
    interface UpdateBody {
        client_id?: string;
        client_branch_id?: string;
        contact_id?: string;
        seller_id?: string;
        document_date?: number;
        expired_at?: number;
        tax_base?: number;
        discount?: number;
        service?: number;
        commentary?: string;
        client_document_number?: string;
        client_document_code?: string;
        client_trade_name?: string;
        client_business_name?: string;
        client_phone_code?: string;
        client_address?: string;
        client_cellphone?: string;
        client_email?: string;
        client_category_id?: string;
        client_category_name?: string;
        client_branch_code?: string;
        client_branch_name?: string;
        client_branch_address?: string;
        client_branch_email?: string;
        client_branch_cellphone?: string;
        client_branch_phone?: string;
        client_branch_phone_code?: string;
        client_province_id?: string;
        client_canton_id?: string;
        client_parish_id?: string;
        client_province_code?: string;
        client_province_name?: string;
        client_canton_code?: string;
        client_canton_name?: string;
        client_parish_code?: string;
        client_parish_name?: string;
        contact_identification_number?: string;
        contact_full_name?: string;
        contact_phone_code?: string;
        contact_cellphone?: string;
        contact_email?: string;
        seller_full_name?: string;
        seller_identification_number?: string;
        seller_address?: string;
        seller_email?: string[];
        seller_cellphone?: string;
        company_NIF?: string;
        company_address?: string;
        company_trade_name?: string;
        company_business_name?: string;
        default_price_list_id?: string;
        default_price_list_name?: string;
        default_price_list_type?: string;
        default_cost_center_id?: string;
        default_cost_center_code?: string;
        default_cost_center_name?: string;
        default_cost_center_father_code?: string;
        default_cost_center_father_name?: string;
        default_discount_rate?: number;
        union_of_order_id?: string;
        union_of_order_document_nomenclature?: string;
        union_of_order_document_number?: string;
        union_of_order_date?: number;
        split_order_id?: string;
        split_order_document_nomenclature?: string;
        split_order_document_number?: string;
        split_order_date?: number;
        tax_base_iva?: number;
        tax_base_iva_rate_0?: number;
        tax_base_iva_exempt?: number;
        tax_base_iva_not_subject?: number;
        tax_base_irbpnr?: number;
        tax_base_ice?: number;
        tax_iva?: number;
        tax_irbpnr?: number;
        tax_ice?: number;
        total?: number;
        order_summary_article?: UpdateBody.SummaryArticle[];
        order_detail?: UpdateBody.Detail;
        order_tax?: UpdateBody.Tax;
    }
    namespace UpdateBody {
        interface SummaryArticle {
            code?: string;
            name?: string;
            amount?: number;
            sequence?: string;
        }
        interface Detail {
            data: Detail.Data[];
            deleted_records: string[];
        }
        namespace Detail {
            interface Data {
                _id?: string;
                item_id?: string;
                category_id?: string;
                cost_center_id?: string;
                price_list_id?: string;
                tax_iva_id?: string;
                tax_irbpn_id?: string;
                tax_ice_id?: string;
                unit_measure_id?: string;
                amount?: number;
                amount_free?: number;
                sequence?: string;
                price_base?: number;
                total_price?: number;
                discount_rate?: number;
                unit_discount?: number;
                total_discount?: number;
                commentary_item?: string | null;
                replace_item_name?: string | null;
                tax_iva_rate?: number;
                item_code?: string;
                item_barcode?: string;
                item_name?: string;
                in_stock?: number;
                manage_by?: string;
                unit_measure_name?: string;
                unit_measure_abbreviation?: string;
                unit_measure_group_abbreviation?: string;
                unit_measure_group_id?: string;
                unit_measure_group_name?: string;
                unit_measure_type?: string;
                unit_measure_quantity?: number;
                stock_afected?: number;
                category_name?: string;
                cost_center_code?: string;
                cost_center_name?: string;
                cost_center_father_code?: string;
                cost_center_father_name?: string;
                price_list_name?: string;
                type?: DetailType;
                price_type?: CbmSalePriceModel.TName;
                price_type_description?: string;
                price_type_id?: string;
                order_detail_tax?: Data.Tax[];
                outsourcing_service_data?: Data.OutsourcingServiceData;
            }
            namespace Data {
                interface OutsourcingServiceData {
                    outsourcing_service_movements_id: string;
                    code_outsourcing_service: string;
                    name_outsourcing_service: string;
                    date_purchase_receipt: number;
                    structured_document_number: string;
                    provider_document_number: string;
                    provider_business_name: string;
                    cost: number;
                }
                interface Tax {
                    _id?: string;
                    type: string;
                    description: string;
                    tax_code: string;
                    tax_rate: number;
                    tax_base: number;
                    tax_value: number;
                }
            }
        }
        interface Tax {
            deleted_records: string[];
            data: Tax.Data[];
        }
        namespace Tax {
            interface Data {
                type: string;
                description: string;
                tax_code: string;
                tax_rate: number;
                tax_base: number;
                tax_value: number;
            }
        }
    }
    interface SendEmailParams {
        timezone: string;
        locale: string;
        emails?: string;
    }
    interface DownloadExcelParams {
        date_begin?: number;
        date_end?: number;
        document_number?: string;
        client_id?: string;
        enabled?: boolean;
    }
    interface ChangeStatusBody {
        enabled: boolean;
        disabled_reason?: string;
    }
    interface ConfirmResponse {
        success: boolean;
        message: string;
        data?: any;
    }
}
