import { Observable } from 'rxjs';
import { CbmSalesOrderModel } from './sales-order.model';
import { HttpResponse } from '@angular/common/http';
import { CbmSalesOrderService } from './sales-order.service';
import * as i0 from "@angular/core";
export interface ICbmSalesOrderRepository {
    list(params: CbmSalesOrderModel.ListParams): Observable<CbmSalesOrderModel.ListResponse>;
    getOne(id: string): Observable<CbmSalesOrderModel.GetOneResponse>;
    save(data: CbmSalesOrderModel.SaveBody): Observable<CbmSalesOrderModel.ConfirmResponse>;
    update(id: string, data: CbmSalesOrderModel.UpdateBody): Observable<CbmSalesOrderModel.ConfirmResponse>;
    changeStatus(id: string, data: CbmSalesOrderModel.ChangeStatusBody): Observable<CbmSalesOrderModel.ConfirmResponse>;
    sendEmail(id: string, params: CbmSalesOrderModel.SendEmailParams): Observable<CbmSalesOrderModel.ConfirmResponse>;
    downloadExcel(params: CbmSalesOrderModel.DownloadExcelParams): Observable<HttpResponse<Blob>>;
    downloadIndividualPdf(id: string): Observable<HttpResponse<Blob>>;
    downloadIndividualExcel(id: string): Observable<HttpResponse<Blob>>;
}
export declare class CbmSalesOrderRepository implements ICbmSalesOrderRepository {
    private service;
    constructor(service: CbmSalesOrderService);
    list(params: CbmSalesOrderModel.ListParams): Observable<CbmSalesOrderModel.ListResponse>;
    getOne(id: string): Observable<CbmSalesOrderModel.GetOneResponse>;
    save(data: CbmSalesOrderModel.SaveBody): Observable<CbmSalesOrderModel.ConfirmResponse>;
    update(id: string, data: CbmSalesOrderModel.UpdateBody): Observable<CbmSalesOrderModel.ConfirmResponse>;
    changeStatus(id: string, data: CbmSalesOrderModel.ChangeStatusBody): Observable<CbmSalesOrderModel.ConfirmResponse>;
    sendEmail(id: string, params?: CbmSalesOrderModel.SendEmailParams): Observable<CbmSalesOrderModel.ConfirmResponse>;
    downloadExcel(params: CbmSalesOrderModel.DownloadExcelParams): Observable<HttpResponse<Blob>>;
    downloadIndividualPdf(id: string): Observable<HttpResponse<Blob>>;
    downloadIndividualExcel(id: string): Observable<HttpResponse<Blob>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CbmSalesOrderRepository, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CbmSalesOrderRepository>;
}
