import { SalesOrderHttpService } from './http.service';
import { CbmSalesOrderModel } from './sales-order.model';
import { Observable } from 'rxjs';
import { HttpResponse } from '@angular/common/http';
import * as i0 from "@angular/core";
export declare class CbmSalesOrderService {
    private http;
    constructor(http: SalesOrderHttpService);
    list(params: CbmSalesOrderModel.ListParams): Observable<CbmSalesOrderModel.ListResponse>;
    getOne(id: string): Observable<CbmSalesOrderModel.GetOneResponse>;
    save(data: CbmSalesOrderModel.SaveBody): Observable<CbmSalesOrderModel.ConfirmResponse>;
    update(id: string, data: CbmSalesOrderModel.UpdateBody): Observable<CbmSalesOrderModel.ConfirmResponse>;
    changeStatus(id: string, data: CbmSalesOrderModel.ChangeStatusBody): Observable<CbmSalesOrderModel.ConfirmResponse>;
    sendEmail(id: string, params?: CbmSalesOrderModel.SendEmailParams): Observable<CbmSalesOrderModel.ConfirmResponse>;
    downloadExcel(params: CbmSalesOrderModel.DownloadExcelParams): Observable<HttpResponse<Blob>>;
    downloadIndividualPdf(id: string): Observable<HttpResponse<Blob>>;
    downloadIndividualExcel(id: string): Observable<HttpResponse<Blob>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CbmSalesOrderService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CbmSalesOrderService>;
}
